Skip to navigation

List Variants

Returns a list of all variants in your catalog. Optional parameters can be passed in.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

idintegerOptional
Filter items by variant ID.
skustringOptional

Filter items by variant SKU. To filter by product / base variant SKU, see Get all products.

upcstringOptional
Filter items by UPC.
include_fieldslist of stringsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

product_id:inlist of integersOptional

A comma-separated list of IDs of products you want to request. For example, ?product_id:in=77,80,81.

Response

OK
datalist of objectsOptional
metaobjectOptional
Data about the response, including pagination and collection totals.

Errors

404
Not Found Error